Subject: B-25B or C
From: "Mark Houpt" <[email-masked]>
To: <[email-masked]>
Date: Sat, 19 Aug 2000 09:48:42 -0500

Steve,
	Here is my 2 cents worth on the designation of the B-25 pulled from the
lake in NC. I believe from the pics that it is a B model. Two main reasons,
One the paint and markings job (especially the national insignia), which
appears to be original. Second is that their is not a tail gun, just piece
of glass. This was characteristic of the B. In fact, Doolittles Raiders put
broom handles out the back end to make it look like they had a rear facing
gun.

I may be wrong but that is what I think.

Mark Houpt